commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Math

# Documentation

class HasMath a where #

Methods

inlineMath :: Text -> a #

displayMath :: Text -> a #

#### Instances

Instances details

HasMath (Html a) # |
Instance details Defined in Commonmark.Extensions.Math Methods inlineMath :: Text -> Html a # displayMath :: Text -> Html a #
(HasMath i, Monoid i) => HasMath (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Math Methods inlineMath :: Text -> WithSourceMap i # displayMath :: Text -> WithSourceMap i #

mathSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasMath il) => SyntaxSpec m il bl #